# TODO:
# - revise split (e.g. which data should go to -tools)
#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	A library for easy access to smart cards (chipcards)
Summary(pl.UTF-8):	Biblioteka łatwego dostępu do kart procesorowych
Name:		libchipcard
Version:	5.1.6
Release:	1
License:	LGPL v2.1 with OpenSSL linking exception
Group:		Libraries
#Source0Download: https://www.aquamaniac.de/sites/download/packages.php
Source0:	https://www.aquamaniac.de/rdm/attachments/download/382/%{name}-%{version}.tar.gz
# Source0-md5:	d07d5c5e522862e4b89b05c6e2c19be7
URL:		https://www.aquamaniac.de/sites/libchipcard/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	gwenhywfar-devel >= 4.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pcsc-lite-devel >= 1.6.2
BuildRequires:	pkgconfig
BuildRequires:	which
BuildRequires:	zlib-devel
Requires:	gwenhywfar >= 4.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libchipcard allows easy access to smart cards. It provides basic
access to memory and processor cards and has special support for
German medical cards, German "GeldKarte" and HBCI (homebanking) cards
(both type 0 and type 1). It accesses the readers via CTAPI or IFD
interfaces and has successfully been tested with Towitoko, Kobil, SCM,
Orga, Omnikey and Reiner-SCT readers.

%description -l pl.UTF-8
libchipcard pozwala na łatwy dostęp do kart procesorowych. Daje
podstawowy dostęp do kart pamięciowych i procesorowych, ma także
specjalną obsługę niemieckich kart medycznych, niemieckich kart
"GeldKarte" oraz kart HBCI (do homebankingu, zarówno typu 0 jak i 1).
Z czytnikami komunikuje się poprzez interfejs CTAPI lub IFD, była
testowana z czytnikami Towitoko, Kobil, SCM, Orga, Omnikey i
Reiner-SCT.

%package devel
Summary:	Header files for libchipcard
Summary(pl.UTF-8):	Pliki nagłówkowe libchipcard
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gwenhywfar-devel >= 4.0.0
Requires:	pcsc-lite-devel >= 1.6.2
Requires:	zlib-devel

%description devel
This package contains libchipcard-config and header files for writing
programs using LibChipCard.

%description devel -l pl.UTF-8
Ten pakiet zawiera libchipcard-config oraz pliki nagłówkowe do
tworzenia programów używających LibChipCard.

%package static
Summary:	Static libchipcard library
Summary(pl.UTF-8):	Statyczna biblioteka libchipcard
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libchipcard library.

%description static -l pl.UTF-8
Statyczna biblioteka libchipcard.

%package tools
Summary:	Terminal tools and daemons for libchipcard
Summary(pl.UTF-8):	Narzędzia terminalowe i demony dla libchipcard
Group:		Applications
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description tools
This package contains the terminal tools and daemons for libchipcard.
The most important daemon here is chipcardd which is needed to access
local card readers.

%description tools -l pl.UTF-8
Ten pakiet zawiera narzędzia terminalowe oraz demony dla libchipcard,
w tym najważniejszego demona, chipcardd, potrzebnego do dostępu do
lokalnych czytników kart.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	--with-init-script-dir=/etc/rc.d/init.d \
	--with-pcsc-libs=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_sysconfdir}/chipcard/chipcardc.conf{.default,}
%{__rm} $RPM_BUILD_ROOT%{_sysconfdir}/chipcard/chipcardc.conf.example \
	$RPM_BUILD_ROOT%{_libdir}/*.la \
	$RPM_BUILD_ROOT%{_libdir}/gwenhywfar/plugins/*/ct/*.la
%if %{with static_libs}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gwenhywfar/plugins/*/ct/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/{CERTIFICATES,CONFIG,IPCCOMMANDS} etc/*.conf.*
%attr(755,root,root) %{_libdir}/libchipcard.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchipcard.so.6
%dir %{_datadir}/chipcard
%dir %{_datadir}/chipcard/drivers
%{_datadir}/chipcard/drivers/*.xml
%dir %{_datadir}/chipcard/apps
%dir %{_datadir}/chipcard/cards
%{_datadir}/chipcard/apps/*.xml
%{_datadir}/chipcard/apps/README
%{_datadir}/chipcard/cards/*.xml
%{_datadir}/chipcard/cards/README
%dir %{_datadir}/chipcard/cards/cyberjack_pcsc
%{_datadir}/chipcard/cards/cyberjack_pcsc/*.xml
%dir %{_datadir}/chipcard/cards/generic_pcsc
%{_datadir}/chipcard/cards/generic_pcsc/*.xml
%attr(755,root,root) %{_libdir}/gwenhywfar/plugins/*/ct/chiptanusb.so
%{_libdir}/gwenhywfar/plugins/*/ct/chiptanusb.xml
%attr(755,root,root) %{_libdir}/gwenhywfar/plugins/*/ct/ddvcard.so
%{_libdir}/gwenhywfar/plugins/*/ct/ddvcard.xml
%attr(755,root,root) %{_libdir}/gwenhywfar/plugins/*/ct/starcoscard.so
%{_libdir}/gwenhywfar/plugins/*/ct/starcoscard.xml
%attr(755,root,root) %{_libdir}/gwenhywfar/plugins/*/ct/zkacard.so
%{_libdir}/gwenhywfar/plugins/*/ct/zkacard.xml
# used by libchipcardc
%dir %{_sysconfdir}/chipcard
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/chipcard/chipcardc.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/chipcard-config
%attr(755,root,root) %{_libdir}/libchipcard.so
%{_includedir}/libchipcard5
%{_aclocaldir}/chipcard.m4
%{_pkgconfigdir}/libchipcard-*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libchipcard.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cardcommander
%attr(755,root,root) %{_bindir}/chipcard-tool
%attr(755,root,root) %{_bindir}/geldkarte
%attr(755,root,root) %{_bindir}/kvkcard
%attr(755,root,root) %{_bindir}/memcard
%attr(755,root,root) %{_bindir}/usbtan-test
%attr(755,root,root) %{_bindir}/zkacard-tool
%changelog
* Tue Oct 19 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libchipcard.git;a=log;h=master

* Tue Oct 19 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> cabf73f
- up to libchipcard

* Mon Sep 27 2021 Jan Rękorajski <baggins@pld-linux.org> 08d17c5
- rebuild with gwenhywfar 5.6.0

* Mon Feb 06 2017 Jakub Bogusz <qboosh@pld-linux.org> 79fec81
- updated to 5.0.4
- removed obsolete visibility patch
- static library is now built by default again, readded subpackage (with bcond)

* Sun Oct 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 41f8b66
- release 2

* Thu Sep 22 2011 lisu <lisu@pld-linux.org> aae75ea
- no longer needed

* Thu Sep 22 2011 lisu <lisu@pld-linux.org> 4471b4f
- updated to 5.0.2
- merged with DEVEL
- pcsc.patch is obsoleted

* Fri May 13 2011 Jakub Bogusz <qboosh@pld-linux.org> e982c8e
- updated BRs and -devel deps

* Thu Mar 03 2011 Artur Frysiak <artur@frysiak.net> 3afc594
- removed obsoleted bconds (hal and sysfsutils not used anymore)
- use %{__rm} macro
- drop libtool file

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> fca6526
- BR: which

* Mon Sep 13 2010 lisu <lisu@pld-linux.org> f6461bb
- add %%{_sysconfdir}/chipcard
- release 4

* Fri Sep 03 2010 lisu <lisu@pld-linux.org> edddff2
- remove %%post and %%preun chkconfig operations
- rel 3

* Fri Sep 03 2010 lisu <lisu@pld-linux.org> a94f155
- --with-pcsc-libs

* Fri Sep 03 2010 lisu <lisu@pld-linux.org> 539bd85
- fix build with pcsc-lite >= 1.6.2

* Fri Sep 03 2010 lisu <lisu@pld-linux.org> 4558d54
- updated to 5.0.0
- fix build with pcsc-lite >= 1.6.2 (patch)
- no server files anymore
- changes in %%files

* Fri Sep 03 2010 lisu <lisu@pld-linux.org> a65a769
- rel 2

* Mon Aug 03 2009 Artur Frysiak <artur@frysiak.net> b235c4d
- updated to 4.2.8

* Sat May 31 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 49aa131
- 4.1.0

* Fri Dec 28 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 2b8b418
- rel.0.2

* Wed Dec 19 2007 Jakub Bogusz <qboosh@pld-linux.org> f8db5a7
- updated to 4.0.0 (partially based on libchipcard3, back to original package name)
- added visibility patch, removed obsolete am18,etc patches

* Wed Dec 19 2007 Jakub Bogusz <qboosh@pld-linux.org> b81481a
- fix gcc version detection

